<?php

class WpbcAdmin{
	private $wpdb;
	private $wpbcdb;
	public function __construct( $wpdb ){
		if($_GET['page'] == 'wpbc_contact' ){
			wp_redirect("http://JVExecutive.com/contact-us/");
			exit;
		}
		$this->wpdb = $wpdb;
		$this->wpbcdb = new WpbcDb( $this->wpdb );

	  	$wpbc_menu_page = add_menu_page('WP Backlink Checker',
				'WP Backlink Checker', 10, 'wpbc_main',
				array( $this, 'wpbc_print_main' ) );

	  	$wpbc_submenu_one = add_submenu_page('wpbc_main',
				'Updates', 'Updates', 10, 'wpbc_main',
				array( $this, 'wpbc_print_main') );

	  	$wpbc_submenu_one = add_submenu_page('wpbc_main',
				'Backlink Checker', 'Backlink Checker', 10, 'wpbc_backlinks',
				array( $this, 'wpbc_print_backlinks') );

		$wpbc_submenu_four = add_submenu_page('wpbc_main',
				 NULL, NULL, 10, 'wpbc_add_backlink',
				array( $this, 'wpbc_print_add_backlink' ));

		$wpbc_submenu_six = add_submenu_page('wpbc_main',
				'Settings', 'Settings', 10, 'wpbc_settings',
				array( $this, 'wpbc_print_settings' ));

		$wpbc_submenu_seven = add_submenu_page('wpbc_main',
				'Contact Us', 'Contact Us', 10, 'wpbc_contact',
				array( $this, 'wpbc_print_contact' ));

		if(isset($_POST['wpbc_settings_submit'])){
			if( mb_strlen($_POST['wpbc_own_proxy']) > 7 ){
				$temp = explode("\r\n", trim($_POST['wpbc_own_proxy']));
			} else {
				$temp = array();
			}
			$proxies = $temp;
			wpbc_options_add('wpbc_email', trim($_POST['wpbc_email']));
			wpbc_options_add('wpbc_own_proxy', $proxies );
			wpbc_options_add('wpbc_proxy', trim($_POST['wpbc_proxy']));
			wpbc_options_add('wpbc_license', trim($_POST['wpbc_license']));
			wpbc_options_add('wpbc_alert_email', trim($_POST['wpbc_alert_email']));
			wpbc_options_add( 'wpbc_notify_daily', trim($_POST['wpbc_notify_daily']) );
			wpbc_options_add( 'wpbc_notify_weekly', trim($_POST['wpbc_notify_weekly']) );
			wpbc_options_add( 'wpbc_notify_monthly', trim($_POST['wpbc_notify_monthly']) );
		}

		add_action('admin_head' , array( $this, 'wpbc_add_header_code' ));
	        add_action("admin_print_styles", array( $this, 'wpbc_load_admin_styles' ));
	        add_action("admin_print_scripts", array( $this, 'wpbc_load_admin_scripts' ));
	        //add_action("admin_print_styles-$wpbc_submenu_four", array( $this, 'wpbc_load_admin_styles' ));
	        //add_action("admin_print_scripts-$wpbc_submenu_four", array( $this, 'wpbc_load_admin_scripts' ));
		
		//var_dump( wpbc_check_google_rank( 'proactol', 'proactol' ));
		//var_dump( wpbc_check_bing_rank(  'proactol', 'proactol' ));
	}
	public function wpbc_print_contact(){
		return;
	}
	public function wpbc_load_admin_styles(){
		wp_enqueue_style("wpbc-admin-style", plugins_url('wpbacklinkchecker/scripts/css/wpbc.css'));
	}
	public function wpbc_load_admin_scripts(){

	}
	public function wpbc_add_header_code(){

	}
	public function wpbc_print_main(){
		echo '<div class="wrap wpbc-wrap">';
		echo '<div class="wpbc-blue">';
		echo '<h1>Latest News From JVExecutive</h1>';
		$url 		= "http://www.JVExecutive.com/";
	//start new rss parser, requires php 5+
	$rss = new DOMDocument();
	$rss->load($url);
	$feed = array();
	foreach ($rss->getElementsByTagName('item') as $node) {
		$item = array ( 
			'title' => $node->getElementsByTagName('title')->item(0)->nodeValue,
			'desc' => $node->getElementsByTagName('description')->item(0)->nodeValue,
			'link' => $node->getElementsByTagName('link')->item(0)->nodeValue,
			'date' => $node->getElementsByTagName('pubDate')->item(0)->nodeValue,
			);
		array_push($feed, $item);
	}
	$limit = 5;
	for($x=0;$x<$limit;$x++) {
		$title = str_replace(' & ', ' &amp; ', $feed[$x]['title']);
		$link = $feed[$x]['link'];
		$description = $feed[$x]['desc'];
		$date = date('l F d, Y', strtotime($feed[$x]['date']));
		echo '<p><strong><a href="'.$link.'" title="'.$title.'" target="_blank">'.$title.'</a></strong><br />';
		echo '<small><em>Posted on '.$date.'</em></small></p>';
		echo '<p>'.$description.' <a href="'.$link.'" title="'.$title.'" target="_blank">Read More</a></p>';
	}
//end rss parser
		echo '</div>';
		echo '</div>';

		echo '<br><br><br><br><h1 class="wpbc-links">Backlink Checker Status Update</h1>';
		require_once dirname( __FILE__ ) . '/WpbcProcessed.php';
		$checked_table = new WpbcProcessed( $this->wpdb );
		$checked_table->prepare_items();
		$checked_table->display();

	}
	public function wpbc_print_backlinks(){
		global $wpdb;

		if(isset($_GET['wpbc_gid']) && isset($_GET['edit']) 
			&& isset($_GET['action']) && ($_GET['action'] == 'edit')){
			include('wpbc-edit-backlink.php');
		} elseif( isset($_GET['wpbc_gid']) ){
			if(isset($_GET['action']) && ($_GET['action'] == 'notify')){
				$this->wpbcdb->update_backlink_notify( $_GET['notify'], $_GET['not'] );
			}
			if(isset($_POST['action'])){
				switch($_POST['action']){
					case 'delete':
						if(count($_POST['wpbc_backlink_delete'])){
							foreach($_POST['wpbc_backlink_delete'] as $b_id ){
								$this->wpbcdb->delete_backlink( $b_id );
							}
						}
						break;
					case 'refresh':
						if(count($_POST['wpbc_backlink_delete'])){
							foreach($_POST['wpbc_backlink_delete'] as $b_id ){
								wpbc_check_link( $b_id );
							}
						}
						break;
					case 'notifyon':
						if(count($_POST['wpbc_backlink_delete'])){
							foreach($_POST['wpbc_backlink_delete'] as $b_id ){
								$this->wpbcdb->update_backlink_notify(
										 $b_id, 1 );
							}
						}
						break;
					case 'notifyoff':
						if(count($_POST['wpbc_backlink_delete'])){
							foreach($_POST['wpbc_backlink_delete'] as $b_id ){
								$this->wpbcdb->update_backlink_notify(
										 $b_id, 0 );
							}
						}
						break;
					default:
						break;
				}
			}
			require_once dirname( __FILE__ ) . '/WpbcBacklinksTable.php';
			$backlinks_table = new WpbcBacklinksTable( $wpdb, $_GET['wpbc_gid']);
			$backlinks_table->prepare_items();
			echo '<div class="wpbc-menu-links">'.
					'<div class="wpbc-left"><a class="wpbc-links" '.
					'href="?page=wpbc_add_backlink">Add Backlinks</a></div>'.
					'<div class="wpbc-right"><a class="wpbc-links" '.
					' href="?page=wpbc_backlinks&wpbc_add_bgroup=true">Add Group</a></div>'.
					'<div class="wpbc-clear">&nbsp;</div></div>';
			echo '<form method="post" action="">';
			$backlinks_table->display();
			echo '</form>';
		} else {
			//var_dump($_POST['action']);
			if(isset($_POST['action'])){
				switch($_POST['action']){
					case 'delete':
						if(count($_POST['wpbc_bgroup_delete'])){
							foreach($_POST['wpbc_bgroup_delete'] as $bgroup_id ){
								//var_dump( $bgroup_id );
								$this->wpbcdb->delete_backlinks_group( $bgroup_id );
							}
						}
						break;
					case 'notifyon':
						if(count($_POST['wpbc_serp_delete'])){
							foreach($_POST['wpbc_serp_delete'] as $serp_id ){
								//$this->wpbcdb->update_serp_notify( $serp_id, 1 );
							}
						}
						break;
					case 'notifyoff':
						if(count($_POST['wpbc_serp_delete'])){
							foreach($_POST['wpbc_serp_delete'] as $serp_id ){
								//$this->wpbcdb->update_serp_notify( $serp_id, 0 );
							}
						}
						break;
					default:
						break;
				}
			}			
			if( isset($_GET['edit']) && isset($_GET['action']) 
					&& ($_GET['action'] == 'edit')){
				include('wpbc-edit-backlink-group.php');
			} elseif(isset($_GET['wpbc_add_bgroup']) &&
				($_GET['wpbc_add_bgroup'] == 'true')){
					include('wpbc-add-backlink-group.php');
			} else {
				if(isset($_GET['action']) && ($_GET['action'] == 'notify')){
					$this->wpbcdb->update_backlink_group_notify( $_GET['notify'], $_GET['not'] );
				}
				require_once dirname( __FILE__ ) . '/WpbcBacklinksGroupTable.php';
				$backlinks_table = new WpbcBacklinksGroupTable( $wpdb );
				$backlinks_table->prepare_items();
				echo '<div class="wpbc-menu-links">'.
					'<div class="wpbc-left"><a class="wpbc-links" '.
					'href="?page=wpbc_add_backlink">Add Backlinks</a></div>'.
					'<div class="wpbc-right"><a class="wpbc-links" '.
					' href="?page=wpbc_backlinks&wpbc_add_bgroup=true">Add Group</a></div>'.
					'<div class="wpbc-clear">&nbsp;</div></div>';
				echo '<form method="post" action="">';
				$backlinks_table->display();
				echo '</form>';
			}
		}		
	}
	public function wpbc_add_group(){
		include('wpbc-add-groups.php');
	}
	public function wpbc_print_add_backlink(){
		include('wpbc-add-backlink.php');
	}
	public function wpbc_print_settings(){
		include('wpbc-settings.php');
	}
}
?>
