<?php
global $wpdb;
$wpbcdb	= new WpbcDb( $wpdb );
$b_id = trim($_GET['edit']);
if(isset($_POST['wpbc_submit'])){
	global $wpdb;
	$data				= array();
	$data['id'] 			= $b_id;	
	$data['url'] 			= wpbc_remove_protocol( strtolower( trim($_POST['wpbc_url'])));
	$data['name'] 			= trim($_POST['wpbc_name']);
	$data['site'] 			= wpbc_remove_protocol( strtolower( trim($_POST['wpbc_site'])));
	$data['group_id'] 		= trim($_POST['wpbc_group']);
	$data['expected_anchor']	= mb_strlen(trim($_POST['wpbc_anchor'])) > 1 ? trim($_POST['wpbc_anchor']) : "_";
	$data['discovered_anchor']	= trim($_POST['wpbc_anchor']);
	$data['notify']			= trim($_POST['wpbc_notify']);
	$data['remind']			= trim($_POST['wpbc_reminder_days']);
	$data['remind_days']		= trim($_POST['wpbc_reminder_days']);
	
	$wpbcdb->edit_backlink( $data );
 	$group_id = wpbc_check_link( $data['id']  );

	$redirect = get_option('siteurl'). "/wp-admin/admin.php?page=wpbc_backlinks&wpbc_gid=$group_id";
	echo '<script type="text/javascript">';
	echo "location.replace('$redirect');";
	echo '</script>';
}
$backlink = $wpbcdb->get_backlink( $b_id );
?>
<div class="wrap wpbc-wrap">
<h1 class="wpbc-heading">Edit Backlinks</h1>
<form method="post" action="" class="wpbc-form">

 <div class="wpbc-field">
  <div class="wpbc-explain"> Site to check ( where to find the backlink ) </div>
  <div class="wpbc-input-container">
   <input class="wpbc-input" value="<?php echo $backlink['site']; ?>" name="wpbc_site" type="text"/>
  </div>
 </div>

 <div class="wpbc-field">
  <div class="wpbc-explain"> Your Url </div>
  <div class="wpbc-input-container">
   <input class="wpbc-input" value="<?php echo $backlink['url']; ?>" name="wpbc_url" type="text"/>
  </div>
 </div>

 <div class="wpbc-field">
  <div class="wpbc-explain"> Expected Anchor text to look for on the site </div>
  <div class="wpbc-input-container">
   <input class="wpbc-input" value="<?php echo $backlink['expected_anchor']; ?>" name="wpbc_anchor" type="text"/>
  </div>
 </div>

 <div class="wpbc-field">
  <div class="wpbc-input-container">
   <button class="button wpbc-button" name="wpbc_submit"> Submit </button>
  </div>
 </div>
</form>
</div>
