<?php
global $wpdb;
$wpbcdb	= new WpbcDb( $wpdb );
if(isset($_POST['wpbc_submit'])){
	global $wpdb;
	$data				= array();
	$data['url'] 			= wpbc_remove_protocol( strtolower( trim($_POST['wpbc_url'])));
	$data['name'] 			= trim($_POST['wpbc_name']);
	$data['site'] 			= wpbc_remove_protocol( strtolower( trim($_POST['wpbc_site'])));
	$data['group_id'] 		= trim($_POST['wpbc_group']);
	$data['expected_anchor']	= mb_strlen(trim($_POST['wpbc_anchor'])) > 1 ? 
						trim($_POST['wpbc_anchor']) : "_";
	$data['discovered_anchor']	= trim($_POST['wpbc_anchor']);
	$data['notify']				= trim($_POST['wpbc_notify']);
	$data['remind']				= trim($_POST['wpbc_reminder_days']);
	$data['remind_days']		= trim($_POST['wpbc_reminder_days']);
	$group = $wpbcdb->get_backlinks_group( $data['group_id'] );
	
	$data['notify']				= $group['notify'];
	$data['remind']				= $group['remind'];
	$data['remind_days']		= $group['remind_days'];
	
	$b_id = $wpbcdb->insert_backlink( $data );
 	$group_id = wpbc_check_link( $b_id );

	$redirect = get_option('siteurl'). "/wp-admin/admin.php?page=wpbc_backlinks&wpbc_gid=$group_id";
	echo '<script type="text/javascript">';
	echo "location.replace('$redirect');";
	echo '</script>';
}
$groups = $wpbcdb->get_backlinks_groups( );
?>
<div class="wrap wpbc-wrap">
<h1 class="wpbc-heading">Add Backlinks</h1>
<form method="post" action="" class="wpbc-form">

 <div class="wpbc-field">
  <div class="wpbc-explain"> Group you want the backlink to belong to </div>
  <div class="wpbc-input-container">
    <select class="wpbc-input" name="wpbc_group">
<?php
if(count($groups)){
	foreach($groups as $group ){
		echo '<option value="'. $group['id'] .'"> ' . $group['name'] . '</option>';
	}
}
?>
    </select>
  </div>
 </div>

 <div class="wpbc-field">
  <div class="wpbc-explain"> Site to check ( where to find the backlink ) </div>
  <div class="wpbc-input-container">
   <input class="wpbc-input" value="" name="wpbc_site" type="text"/>
  </div>
 </div>

 <div class="wpbc-field">
  <div class="wpbc-explain"> Your Url </div>
  <div class="wpbc-input-container">
   <input class="wpbc-input" value="" name="wpbc_url" type="text"/>
  </div>
 </div>

 <div class="wpbc-field">
  <div class="wpbc-explain"> Expected Anchor text to look for on the site </div>
  <div class="wpbc-input-container">
   <input class="wpbc-input" value="" name="wpbc_anchor" type="text"/>
  </div>
 </div>

 <div class="wpbc-field">
  <div class="wpbc-input-container">
   <button class="button wpbc-button" name="wpbc_submit"> Submit </button>
  </div>
 </div>
</form>
</div>
