<?php

if(isset($_POST['wpbc_submit'])){
	global $wpdb;
	global $current_user;
	get_currentuserinfo();
	$data					= array();
	$data['name'] 			= trim($_POST['wpbc_group_name']);
	$data['creator_id'] 	= $current_user->ID;
	$data['description'] 	= trim($_POST['wpbc_group_description']);
	$data['notify']			= trim($_POST['wpbc_notify']);
	$data['remind']			= trim($_POST['wpbc_reminder_days']);
	$data['remind_days']	= trim($_POST['wpbc_reminder_days']);

	$wpbcdb->insert_serp_group( $data );
	$wpbcdb->insert_backlink_group( $data );

	echo '<div class="wpbc-explain"><h1>Group(s) added successfully<h1></div>';
}
?>
<div class="wrap wpbc-wrap">
<h1 class="wpbc-heading">Add Groups</h1>
<form method="post" action="" class="wpbc-form">
 <div class="wpbc-field">
  <div class="wpbc-explain"> Select Group Type </div>
  <div class="wpbc-cb-container">
   <input type="checkbox" name="wpbc_group[]" value="SERP"/> SERP
  </div>
  <div class="wpbc-cb-container">
   <input type="checkbox" name="wpbc_group[]" value="backlinks"/> Backlinks
  </div>
  </div>

 <div class="wpbc-field">
  <div class="wpbc-explain"> Enter Group Name </div>
  <div class="wpbc-input-container">
   <input class="wpbc-input" value="" name="wpbc_group_name" type="text"/>
  </div>
 </div>

 <div class="wpbc-field">
  <div class="wpbc-explain"> Enter Group Description </div>
  <div class="wpbc-input-container">
   <textarea class="wpbc-input" name="wpbc_group_description"></textarea>
  </div>
 </div>
 
  <div class="wpbc-field">
  <div class="wpbc-explain"> Email Notification Settings </div>
  <div class="wpbc-cb-container">
   <input type="checkbox" name="wpbc_notify" value="1" checked="checked"/> Notify me whenever backlinks in this group are changes / removed <br>
  </div>
  <div class="wpbc-cb-container">
  Remind me to renew this backlink every 
   <select name="wpbc_reminder_days">
    <option value="0">Never 	</option>
    <option value="1">1 day 	</option>
    <option value="2">2 days	</option>
    <option value="3">3 days	</option>
    <option value="4">4 days	</option>
    <option value="5">5 days	</option>
    <option value="6">6 days	</option>
    <option value="7">7 days	</option>
    <option value="8">8 days	</option>
    <option value="9">9 days	</option>
    <option value="10">10 days	</option>
    <option value="11">11 days	</option>
    <option value="12">12 days	</option>
    <option value="13">13 days	</option>
    <option value="14">14 days	</option>
    <option value="15">15 days	</option>
    <option value="16">16 days	</option>
    <option value="17">17 days	</option>
    <option value="18">18 days	</option>
    <option value="19">19 days	</option>
    <option value="20">20 days	</option>
    <option value="21">21 days	</option>
    <option value="22">22 days	</option>
    <option value="23">23 days	</option>
    <option value="24">24 days	</option>
    <option value="25">25 days	</option>
    <option value="26">26 days	</option>
    <option value="27">27 days	</option>
    <option value="28">28 days	</option>
    <option value="29">29 days	</option>
    <option value="30">30 days	</option>
   </select><br/>
  </div>
 </div>

 <div class="wpbc-field">
  <div class="wpbc-input-container">
   <button class="button wpbc-button" name="wpbc_submit"> Submit </button>
  </div>
 </div>
</form>
</div>
